package com.yihu.jw.entity.care.doorCoach;


import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;


/**
* 上门辅导服务工单价格明细（服务项价格，医生出诊费用）实体
*
* @author Administrator on  2019年03月19日
*
*/
@Entity
@Table(name = "base_door_coach_fee_detail")
public class BaseDoorCoachFeeDetailDO extends UuidIdentityEntityWithOperator {

    /**
     * 支付方式
     */
    public enum Type {

        servicePackageItem(1, "服务包的服务项费用"),
        doctor(2,"医生出诊费用");

        private Integer type;
        private String desc;

        Type(Integer type, String desc) {
            this.type = type;
            this.desc = desc;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

    }

    /**
     * 状态
     */
    public enum Status {

        patient(1, "居民新增（预约）"),
        doctorAdd(2,"医生新增"),
        doctorDel(3,"医生删除");

        private Integer type;
        private String desc;

        Status(Integer type, String desc) {
            this.type = type;
            this.desc = desc;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

    }

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 费用类型，1-服务项费用，2-医生出诊费用
	 */
	private Integer type;

    /**
	 * 居民请求的服务项code，医生出诊费用code
	 */
	private String code;

    /**
	 * 居民请求的服务项名称，医生出诊费用名称
	 */
	private String name;

    /**
	 * 费用
	 */
	private BigDecimal fee;

    /**
	 * 折扣费用
	 */
	private BigDecimal feeDiscount;

    /**
	 * 数量
	 */
	private Integer number;

    /**
	 * 状态，1-居民新增（预约），2-医生新增，3-医生删除
	 */
	private Integer status;

    /**
     * 付款状态：0未付款 1已付款
     */
    private Integer payStatus;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "type")
    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }

	@Column(name = "code")
    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }

	@Column(name = "name")
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

	@Column(name = "fee")
    public BigDecimal getFee() {
        return fee;
    }
    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

	@Column(name = "fee_discount")
    public BigDecimal getFeeDiscount() {
        return feeDiscount;
    }
    public void setFeeDiscount(BigDecimal feeDiscount) {
        this.feeDiscount = feeDiscount;
    }

	@Column(name = "number")
    public Integer getNumber() {
        return number;
    }
    public void setNumber(Integer number) {
        this.number = number;
    }

	@Column(name = "status")
    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "pay_status")
    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }
}